#include "Marker.h"

namespace AMDiS {

  Marker *Marker::createMarker(::std::string name, int row) {
    int strategy = 0;
    GET_PARAMETER(0, name + "->strategy", "%d", &strategy);
  
    Marker *marker = NULL;

    switch(strategy) {
    case 0: 
      break;
    case 1:
      marker = NEW GRMarker(name, row);
      break;
    case 2:
      marker = NEW MSMarker(name, row);
      break;
    case 3:
      marker = NEW ESMarker(name, row);
      break;
    case 4:
      marker = NEW GERSMarker(name, row);
      break;
    default: ERROR_EXIT("invalid strategy\n");
    }
    
    return marker;
  }

}
